# eduConnect by Team freeBug

Welcome to eduConnect, a revolutionary platform where users can gain and share knowledge in specific domains. eduConnect offers a seamless experience for users to learn, interact, and grow in their areas of interest. Whether you're an expert wanting to share your insights or a learner eager to explore, eduConnect has you covered.



## 🚀 Features

### 🔐 User Authentication
- Register and Login: Secure authentication system for users to create accounts and access their personalized dashboard.

### 📚 Knowledge Sharing
- Create Courses: Share your expertise by creating courses in specific domains.
- Enroll in Courses: Explore and enroll in various courses to enhance your knowledge.

### 💬 Interactive Learning
- Chat Rooms: Each course has its own chat room, enabling students and instructors to interact and discuss.
- Spam Prevention: Robust measures to prevent spam messages in chat rooms, ensuring meaningful conversations.

### 🧠 Personalized Quizzes
- Identical Quizzes: Based on a user’s read history, tailored quizzes are provided to reinforce learning and retention.

### 📊 Progress Tracking
- Activity Log: Users can keep track of their progress, monitor their activities, and evaluate how much they’ve learned.
- Knowledge Metrics: Insights into user performance and course engagement.

### 🎖️ Badges & Rewards
- User Badges: Earn badges for achievements to stay motivated and energized while learning.



## 🛠️ Tech Stack
- Backend: Python, Flask
- Frontend: HTML, CSS, JavaScript
- Database: PostgreSQL/MySQL
- Authentication: JWT-based secure authentication
- Hosting: AWS/Heroku/Your Hosting Solution



## 📄 Installation Guide

### Prerequisites
1. Python 3.8+ installed on your system.
2. PostgreSQL/MySQL database setup.
3. Node.js and npm (if applicable for frontend).
4. A virtual environment for Python dependencies.

### Steps
1. Clone the Repository
   bash
   git clone https://hackethon.ai/hack/HackXlbef/FreeBug.git
   cd eduConnect
